import React from 'react';
import './index.less';
import Button from '../Button';

function RadioButton(props) {
  const { list, value } = props;
  return (
    <div className="radio-button">
      {list.map(item => {
        return (
          <Button theme={item.key === value ? 'theme' : 'default'} size="small" radius>
            {item.title}
          </Button>
        );
      })}
    </div>
  );
}
RadioButton.propTypes = {};
export default RadioButton;
